c     ============================================
      subroutine setaux(maxmx,mbc,mx,xlower,dx,maux,aux)
c     ============================================
c
c     # set auxiliary arrays 
c
c     
      implicit double precision (a-h,o-z)
      dimension aux(1-mbc:maxmx+mbc, *)

      do i=1-mbc,mx+mbc
         aux(i,1) = (i-0.5d0)*dx
         enddo
c
       return
       end
